#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		source_dir	%{_datadir}/%{name}-source
#-----------------------------------------------------------------------------
Name		:	libev
Version		:	4.33
Release		:	14.8.0.0%{?dist}
Summary		:	high-performance event loop/event model with lots of features
 
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD or GPLv2+
URL		:	http://software.schmorp.de/pkg/libev.html

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	coreutils
BuildRequires	:	findutils
BuildRequires	:	gcc
BuildRequires	:	libtool
BuildRequires	:	make
BuildRequires	:	tar

#-----------------------------------------------------------------------------
%description
Libev is modeled (very loosely) after libevent and
the Event Perl module, but is faster, scales better
and is more correct, and also more featureful.
And also smaller.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE
%doc Changes README
%{_libdir}/%{name}.so.4*

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%package		devel
Summary		:	Development headers for libev

#-----------------------------------------------------------------------------
Requires	:	%{name}		=	%{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains the development headers and
libraries for libev.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/ev++.h
%{_includedir}/ev.h
%{_libdir}/%{name}.so
%{_mandir}/man3/*.3.gz

#=============================================================================
%package		libevent-devel
Summary		:	Compatibility development header with libevent for %{name}.

Requires	:	%{name}-devel	=	%{version}-%{release}

#-----------------------------------------------------------------------------
%description		libevent-devel
Synchronize TeXnology help file (synctexs) are text files
that help input/output synchronization during document
preparation with the TeX typesetting system.

#-----------------------------------------------------------------------------
%files			libevent-devel
%defattr(-,root,root,-)
%{_includedir}/event.h

#=============================================================================
%package		source
Summary		:	High-performance event loop/event model with lots of features

#-----------------------------------------------------------------------------
BuildArch	:	noarch
Requires	:	%{name}		=	%{version}-%{release}

#-----------------------------------------------------------------------------
%description		source
This package contains the source code for libev.

#-----------------------------------------------------------------------------
%files			source
%defattr(-,root,root,-)
%{source_dir}

#=============================================================================
%prep
%setup -q
autoreconf -vif

#-----------------------------------------------------------------------------
#building application
%build
./configure						\
        --prefix=%{_prefix}				\
        --bindir=%{_bindir}				\
	--exec_prefix=%{_datadir}			\
	--datarootdir=%{_datadir}			\
        --includedir=%{_includedir}			\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--datadir=%{_datadir}				\
	--mandir=%{_mandir}				\
	--disable-static				\
	--with-pic

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

# Make the source package
%{__mkdir_p} %{buildroot}%{source_dir}
find . 							\
  -type f 					       |\
  grep -E '.*\.(c|h|am|ac|inc|m4|h.in|man.pre|pl|txt)$'|\
  xargs tar cf -				       |\
  (cd %{buildroot}%{source_dir} && tar xf -)

install -p -m 0644					\
	Changes						\
	ev.pod						\
	LICENSE						\
	README						\
	%{buildroot}%{source_dir}

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
